<?php
/*
Plugin Name: DirtySuds - Embed YouTube iFrame
Plugin URI: http://dirtysuds.com
Description: Embed YouTube videos using iFrame player instead of Flash <object>
Author: Pat Hawks
Version: 1.00
Author URI: http://www.pathawks.com

Updates:
1.00 - First Version

  Copyright 2011 Pat Hawks  (email : pat@pathawks.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

wp_embed_register_handler( 'iframe_youtube', '#(http://(www\.)?youtube.com/watch.*|http://youtu.be/*)#i', 'wp_embed_handler_iframe_youtube', 1 );

function wp_embed_handler_iframe_youtube( $matches, $attr, $url, $rawattr ) {
	include(ABSPATH . WPINC . '/class-oembed.php');
	$wp_oembed = new WP_oEmbed();
	$embed = $wp_oembed->fetch('http://www.youtube.com/oembed?iframe=1',$url,$attr);
	$embed = $wp_oembed->data2html($embed,$url);
	return apply_filters( 'iframe_youtube', $embed, $matches, $attr, $url, $rawattr  );
}